LIFX Developer Zone

KRACK Vulnerability for WPA2

I’m not an expert on this issue. I do believe there is also a client update required. Are we going to see an update to our bulbs anytime soon?

We are aware of the Krack (CERT: VU#228519) vulnerability and we can confirm that our lights are affected. Our engineers are working with our vendors to produce patches as soon as possible. Please see our support page for the most up to date information.

Are we to assume at this point that devices that haven’t been patched by now are never getting patched?

Whoa. Are we to understand that the lifx z, original and 1000 are still not patched? @daniel_hall can you pls have your team update the support page for these remaining bulbs ASAP?